%define module  Module-Info
%define version 0.24
%define release 1mdk
%define	pdir	Module

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl, perl-base
BuildRequires:	perl-devel

%description
%{module} module for perl.  Module::Info gives you information about
Perl modules B<without actually loading the module>.  It actually
isn't specific to modules and should work on any perl code.

%prep
%setup -q -n %{module}-%{version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,755)
%doc Changes
%_bindir/*
%_mandir/man*/*
%{perl_vendorlib}/B/Module/*
%{perl_vendorlib}/B/*.pm
%{perl_vendorlib}/Module/*


%changelog
* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.24-1mdk
- 0.24

* Wed Apr 16 2003 Peter Chen <petechen@netilla.com> 0.19-1mdk
- Initial packaging.
